debugfs.reiser4(8)

NOM
debugfs.reiser4 - Déboguer un système de fichiers Reiser4

SYNOPSIS
debugfs.reiser4 [options] fichier

DESCRIPTION
debugfs.reiser4 est le programme de débogage des systèmes de fichiers Reiser4. Vous pouvez découvrir les structures internes d'un système de fichiers Reiser4 en l'utilisant.

OPTIONS GÉNÉRALES

-V, --version
    Afficher la version du programme.

-?, -h, --help
    Afficher le message d'aide du programme.

-y, --yes
    Considérer que toutes les questions reçoivent une réponse affirmative.

-f, --force
    Forcer debugfs à utiliser un disque entier, au lieu d'un périphérique bloc ou d'une partition montée.

-c, --cache n
    Définir le nombre de nœud de l'arbre du cache. Cela affecte le comportement de libreiser4 de façon importante : la vitesse, l'allocation des arbres, etc.

OPTIONS D'OBSERVATION

-k, --cat
    Naviguer dans les fichiers fournis comme avec les programmes standard cat et ls.

OPTIONS D'AFFICHAGE

-t, --print-tree
    Afficher l'arbre interne.

-b, --print-block n
    Afficher le bloc associé au numéro de bloc indiqué.

-n, --print-nodes fichier
    Afficher tous les nœuds sur lesquels réside le fichier indiqué.

-i, --print-file
    Afficher tous les éléments qui constituent le fichier fourni.

-s, --print-super
    Afficher les deux superblocs : le superbloc maître et celui spécifique au format.

-j, --print-journal
    Afficher le journal avec les transactions pas encore enregistrées (s'il y en a).

-a, --print-alloc
    Afficher les données concernant l'allocation de blocs.

-d, --print-oid
    Afficher les données concernant l'allocation d'oid.

OPTIONS DES MÉTADONNÉES

-P, --pack-metadata
    Récupérer les métadonnées d'un système de fichiers et les écrire sur la sortie standard.

-U, --unpack-metadata
    Lire un flux de métadonnées d'un système de fichiers sur l'entrée standard et construire un nouveau système de fichiers basé sur ces métadonnées. debugfs.reiser4 --pack-metadata FS1E | debugfs.reiser4 --unpack-metadata FS2E puis debugfs.reiser4 --pack-metadata FS2E produit un flux équivalent au premier.

OPTIONS DE GREFFON

-p, --print-profile
    Afficher le profil des greffons. Il s'agit de l'ensemble des greffons utilisés pour toutes les parties d'un système de fichiers — le format, les nœuds, les fichiers, les répertoires, les tables de hachage, etc. Si --override est utilisée, alors afficher les greffons modifiés.

-l, --print-plugins
    Afficher tous les greffons connus de libreiser4.

-o, --override TYPE=GREFFON, ...
    Remplacer le greffon par défaut pour le type par le greffon dans le profil des greffons.

Exemples :

debugfs.reiser4 -o nodeptr=nodeptr41,hash=rupasov_hash /dev/hda2

SIGNALER DES BOGUES
Signaler toute erreur à <reiserfs-devel@vger.kernel.org>

VOIR AUSSI
fsck.reiser4(8), measurefs.reiser4(8), mkfs.reiser4(8)

AUTEUR
Cette page de manuel a été écrite par Yury Umanets <umka@namesys.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.